Subject: Re: bug#20232: 25.0.50; doc string of `multi-isearch-buffer-list'

From: Juri Linkov <[email-masked]>
Date: Tue, 31 Mar 2015 23:38:03 +0300

> Please add a doc string.  Seems that if anything in `misearch.el'
> deserves a doc string it is this variable.
>
> This is presumably the easiest and best thing for code to test, to see
> if Isearch is currently searching more than one buffer.  At least a
> glance at the code gives me that impression.  It seems better, I'm
> guessing, than testing either of these:
>
> * (and multi-isearch-next-buffer-current-function
>        (buffer-live-p multi-isearch-current-buffer))
>
> * Option multi-isearch-search.

You can see in `isearch-message-prefix' that `multi-isearch-file-list'
is used to test if Isearch is currently searching more than one file,
so do you need to have a doc string for `multi-isearch-file-list' as well?